TraceListener
Date: 2016-07-03

com.icl.saxon.trace

## Interface TraceListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    SaxonEventMulticaster, SimpleTraceListener

      public interface TraceListener
      extends java.util.EventListener

  To get trace events, an application can add instances of this interface to a StyleSheetInstance

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Called at end
    `void` | `enter(NodeInfo element, Context context)` Called when a node in the stylesheet gets processed
    `void` | `enterSource(NodeHandler handler, Context context)` Called when a node of the source tree gets processed
    `void` | `leave(NodeInfo element, Context context)` Called after an element of the stylesheet got processed
    `void` | `leaveSource(NodeHandler handler, Context context)` Called after a node of the source tree got processed
    `void` | `open()` Called at start
    `void` | `toplevel(NodeInfo element)` Called for all top level elements

- - ### Method Detail

    - #### open

          void open()

      Called at start

    - #### close

          void close()

      Called at end

    - #### toplevel

          void toplevel(NodeInfo element)

      Called for all top level elements

    - #### enterSource

          void enterSource(NodeHandler handler,
                         Context context)

      Called when a node of the source tree gets processed

    - #### leaveSource

          void leaveSource(NodeHandler handler,
                         Context context)

      Called after a node of the source tree got processed

    - #### enter

          void enter(NodeInfo element,
                   Context context)

      Called when a node in the stylesheet gets processed

    - #### leave

          void leave(NodeInfo element,
                   Context context)

      Called after an element of the stylesheet got processed